import request from '/@/utils/request';

/**
 * 获取列表
 * @param query
 */
export const fetchList = (query?: any) => {
	return request({
		url: '/recruit/recruitstudentplangroup/page',
		method: 'get',
		params: query,
	});
};

/**
 * 列表
 * @param query
 */
export const getList = (query?: any) => {
	return request({
		url: '/recruit/recruitstudentplangroup/list',
		method: 'get',
		params: query,
	});
};

/**
 * 新增
 * @param obj
 */
export const addObj = (obj: any) => {
	return request({
		url: '/recruit/recruitstudentplangroup/add',
		method: 'post',
		data: obj,
	});
};

/**
 * 获取详情
 * @param id
 */
export const getObj = (id: string | number) => {
	return request({
		url: `/recruit/recruitstudentplangroup/getById`,
		method: 'get',
		params: { id: id },
	});
};

/**
 * 删除
 * @param id
 */
export const delObj = (id: string | number) => {
	return request({
		url: `/recruit/recruitstudentplangroup/deleteById`,
		method: 'post',
		data: { id: id },
	});
};

/**
 * 更新
 * @param obj
 */
export const putObj = (obj: any) => {
	return request({
		url: '/recruit/recruitstudentplangroup/edit',
		method: 'post',
		data: obj,
	});
};

/**
 * 更新
 * @param obj
 */
export const editQuickField = (obj: any) => {
	return request({
		url: '/recruit/recruitstudentplangroup/editQuickField',
		method: 'post',
		data: obj,
	});
};
